Subject: [alpine-aports] [PATCH 1/2] testing/libspectre: new aport

From: Andrew Hills <[email-masked]>
Date: Sun, 7 Jun 2015 19:39:27 -0400

http://www.freedesktop.org/wiki/Software/libspectre
A small library for rendering Postscript documents
---
 testing/libspectre/APKBUILD | 51 +++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 51 insertions(+)
 create mode 100644 testing/libspectre/APKBUILD

diff --git a/testing/libspectre/APKBUILD b/testing/libspectre/APKBUILD
new file mode 100644
index 0000000..9b530ca
--- /dev/null
+++ b/testing/libspectre/APKBUILD
@@ -0,0 +1,51 @@
+# Contributor: Andrew Hills <[email-masked]>
+# Maintainer: Andrew Hills <[email-masked]>
+pkgname=libspectre
+pkgver=0.2.7
+pkgrel=0
+pkgdesc="A small library for rendering Postscript documents"
+url="http://www.freedesktop.org/wiki/Software/libspectre"
+arch="all"
+license="GPL2"
+depends=""
+depends_dev=""
+makedepends="$depends_dev ghostscript-dev doxygen"
+install=""
+subpackages="$pkgname-dev $pkgname-doc"
+source="http://libspectre.freedesktop.org/releases/libspectre-$pkgver.tar.gz"
+
+_builddir="$srcdir"/libspectre-$pkgver
+prepare() {
+	update_config_sub
+}
+
+build() {
+	cd "$_builddir"
+	./configure \
+		--build=$CBUILD \
+		--host=$CHOST \
+		--prefix=/usr \
+		--sysconfdir=/etc \
+		--mandir=/usr/share/man \
+		--infodir=/usr/share/info \
+		--localstatedir=/var \
+		|| return 1
+	make || return 1
+	make doc
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install || return 1
+	rm -f "$pkgdir"/usr/lib/*.la
+}
+
+doc() {
+	arch="noarch"
+	mkdir -m 0755 -p "$subpkgdir"/usr/share/doc/libspectre || return 1
+	install -m 0644 "$_builddir"/doc/html/* "$subpkgdir"/usr/share/doc/libspectre/
+}
+
+md5sums="8f759c0e6cd88d68fc8149130fcbc3d3  libspectre-0.2.7.tar.gz"
+sha256sums="e81b822a106beed14cf0fec70f1b890c690c2ffa150fa2eee41dc26518a6c3ec  libspectre-0.2.7.tar.gz"
+sha512sums="2e60905f7eeed9ac6ec3b5f8b47a7dad85178c8c35a63ba097ef6088dd334f7fde5797ecb05cf67532b759d07a65006427914d2cd6b09107ecc90620c9541794  libspectre-0.2.7.tar.gz"
-- 
2.4.2

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---

---

From: Andrew Hills <[email-masked]>
Date: Sun, 7 Jun 2015 19:39:28 -0400

https://pwmt.org/projects/zathura-ps
Postscript support for zathura
---
 testing/zathura-ps/APKBUILD | 41 +++++++++++++++++++++++++++++++++++++++++
 1 file changed, 41 insertions(+)
 create mode 100644 testing/zathura-ps/APKBUILD

diff --git a/testing/zathura-ps/APKBUILD b/testing/zathura-ps/APKBUILD
new file mode 100644
index 0000000..4b7b59e
--- /dev/null
+++ b/testing/zathura-ps/APKBUILD
@@ -0,0 +1,41 @@
+# Contributor: Andrew Hills <[email-masked]>
+# Maintainer: Andrew Hills <[email-masked]>
+pkgname=zathura-ps
+pkgver=0.2.2
+pkgrel=0
+pkgdesc="Postscript support for zathura"
+url="https://pwmt.org/projects/zathura-ps"
+arch="all"
+license="zlib"
+depends=""
+depends_dev=""
+makedepends="$depends_dev zathura-dev girara-dev libspectre-dev gtk+3.0-dev glib-dev"
+install=""
+subpackages=""
+source="https://pwmt.org/projects/zathura-ps/download/zathura-ps-$pkgver.tar.gz"
+
+_builddir="$srcdir"/zathura-ps-$pkgver
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install || return 1
+	rm -f "$pkgdir"/usr/lib/*.la
+}
+
+md5sums="338af976c03c0aa1471b156a0efdc45c  zathura-ps-0.2.2.tar.gz"
+sha256sums="e6546261db03b0b6b6499a8e109dc9ff3b8eb8b154ce45f5c6284c1e76d1d7a8  zathura-ps-0.2.2.tar.gz"
+sha512sums="4cedd614127b995ad834d5913dd5d9b3dff6172ac31cf42e8d43941815ac03a4872f41d7766c325f435feffa63364c9c377f760cd0540d2f36753e7df1c4c49e  zathura-ps-0.2.2.tar.gz"
-- 
2.4.2

---